Bug 46086 - /usr/bin/itclsh3.1 has bogus RPATH
Summary: /usr/bin/itclsh3.1 has bogus RPATH
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcltk   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-26 18:48 UTC by hjl
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-24 21:52:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description hjl 2001-06-26 18:48:03 UTC
# readelf -d usr/bin/itclsh3.1

Dynamic segment at offset 0xb80 contains 25 entries:
  Tag        Type                         Name/Value
 0x00000001 (NEEDED)                     Shared library: [libitcl3.1.so]
 0x00000001 (NEEDED)                     Shared library: [libtcl8.3.so]
 0x00000001 (NEEDED)                     Shared library: [libdl.so.2]
 0x00000001 (NEEDED)                     Shared library: [libm.so.6]
 0x00000001 (NEEDED)                     Shared library: [libc.so.6]
 0x0000000f (RPATH)                      Library rpath: [/foo/lib]

In the %changelog section of tcltk.spec, there is

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- whoops, exec-prefix for itcl was set to '/foo', changed to '/usr'. 

I think it came back.

Comment 1 Eido Inoue 2001-07-16 16:42:23 UTC
For the next release we'll be going to 3.2, which phases out itclsh and itksh.
In the meantime, I'll see to getting an errata out for 7.1.

Michael McLennan wrote:

> itcl 3.2 is definitely stable for Linux, but it no longer builds
> itclsh/itkwish.  Instead, people now use [incr Tcl] as a pure
> dynamically-loadable package for tclsh/wish.  When installed
> correctly, you can start either tclsh or wish and use "package require
> Itcl" to load the itcl object system, "package require Itk" to load
> the itk mega-widget system, and "package require Iwidgets" to load
> the iwidgets mega-widgets.




Comment 2 Eido Inoue 2001-07-25 07:51:01 UTC
fixed in release 62


Note You need to log in before you can comment on or make changes to this bug.